Package: podbrowser
Tags: patch
Followup-For: Bug #384937
Patch is attached, it fixes the dependency problem and adapts the script
to the new location for libgtk2-ex-podviewer-perl.
I'm likely to update the package to the new upstream version[0] with few
improvements[1] if you are ok with this.
0- #363508
1- #362648
regards
-- System Information:
Debian Release: testing/unstable
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=es_PE.UTF-8, LC_CTYPE=es_PE.UTF-8 (charmap=UTF-8)
Versions of packages podbrowser depends on:
ii gnome-icon-theme 2.14.2-2 GNOME Desktop icon theme
ii libgnome2-perl 1.040-1 Perl interface to the GNOME librar
ii libgtk2-ex-podviewer-perl 0.14-2.1 Perl Gtk2 widget for displaying Pl
ii libgtk2-gladexml-perl 1.005-1 Perl interface to use user interfa
ii libgtk2-perl 1:1.121-1 Perl interface to the 2.x series o
ii liblocale-gettext-perl 1.05-1 Using libc functions for internati
ii perl 5.8.8-6.1 Larry Wall's Practical Extraction
Versions of packages podbrowser recommends:
ii libgnome2-0 2.14.1-3 The GNOME 2 library - runtime file
-- no debconf information
diff -uNr podbrowser-0.03.orig/debian/changelog podbrowser-0.03/debian/changelog
--- podbrowser-0.03.orig/debian/changelog 2006-09-04 09:04:42.000000000
-0500
+++ podbrowser-0.03/debian/changelog 2006-09-04 08:52:24.116226500 -0500
@@ -1,3 +1,12 @@
+podbrowser (0.03-1.1) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * Fixes dependency on libgtk2-podviewer-perl to the new
+ libgtk2-ex-podviewer-perl (Closes: #384937)
+ * Adds patch to podbrowser.pl to adapt to the current class location
+
+ -- Rudy Godoy <[EMAIL PROTECTED]> Mon, 4 Sep 2006 08:52:01 -0500
+
podbrowser (0.03-1) unstable; urgency=low
* New upstream version.
diff -uNr podbrowser-0.03.orig/debian/control podbrowser-0.03/debian/control
--- podbrowser-0.03.orig/debian/control 2006-09-04 09:04:42.000000000 -0500
+++ podbrowser-0.03/debian/control 2006-09-04 08:36:43.437437750 -0500
@@ -8,7 +8,7 @@
Package: podbrowser
Architecture: all
-Depends: ${perl:Depends}, libgtk2-perl, libgtk2-gladexml-perl (>= 1.001),
libgtk2-podviewer-perl (>= 0.08), libgnome2-perl, liblocale-gettext-perl,
gnome-icon-theme
+Depends: ${perl:Depends}, libgtk2-perl, libgtk2-gladexml-perl (>= 1.001),
libgtk2-ex-podviewer-perl (>= 0.08), libgnome2-perl, liblocale-gettext-perl,
gnome-icon-theme
Recommends: libgnome2-0
Suggests: perl-doc
Description: Documentation browser for Perl
diff -uNr podbrowser-0.03.orig/debian/patched/10Makefile.dpatch
podbrowser-0.03/debian/patched/10Makefile.dpatch
--- podbrowser-0.03.orig/debian/patched/10Makefile.dpatch 1969-12-31
19:00:00.000000000 -0500
+++ podbrowser-0.03/debian/patched/10Makefile.dpatch 2006-09-04
08:52:35.852960000 -0500
@@ -0,0 +1 @@
+patching file Makefile
diff -uNr podbrowser-0.03.orig/debian/patched/20podbrowser.dpatch
podbrowser-0.03/debian/patched/20podbrowser.dpatch
--- podbrowser-0.03.orig/debian/patched/20podbrowser.dpatch 1969-12-31
19:00:00.000000000 -0500
+++ podbrowser-0.03/debian/patched/20podbrowser.dpatch 2006-09-04
08:52:35.880961750 -0500
@@ -0,0 +1 @@
+patching file podbrowser.pl
diff -uNr podbrowser-0.03.orig/debian/patches/00list
podbrowser-0.03/debian/patches/00list
--- podbrowser-0.03.orig/debian/patches/00list 2006-09-04 09:04:42.000000000
-0500
+++ podbrowser-0.03/debian/patches/00list 2006-09-04 08:39:31.835962000
-0500
@@ -1 +1,2 @@
10Makefile.dpatch
+20podbrowser.dpatch
diff -uNr podbrowser-0.03.orig/debian/patches/20podbrowser.dpatch
podbrowser-0.03/debian/patches/20podbrowser.dpatch
--- podbrowser-0.03.orig/debian/patches/20podbrowser.dpatch 1969-12-31
19:00:00.000000000 -0500
+++ podbrowser-0.03/debian/patches/20podbrowser.dpatch 2006-09-04
08:46:14.669137500 -0500
@@ -0,0 +1,47 @@
+#!/bin/sh -e
+## 20p_podbrowser.dpatch by Rudy Godoy <[EMAIL PROTECTED]>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes podbrowser.pl to adapt to the current class location
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0;
+
[EMAIL PROTECTED]@
+--- podbrowser-0.03.orig/podbrowser.pl 2004-09-18 08:32:10.000000000 -0500
++++ podbrowser-0.03/podbrowser.pl 2006-09-04 08:30:43.178923000 -0500
+@@ -6,8 +6,8 @@
+ use Gtk2 -init;
+ use Gtk2::GladeXML 1.001;
+ use Gtk2::SimpleList;
+-use Gtk2::PodViewer 0.08;
+-use Gtk2::PodViewer::Parser qw(decode_entities);
++use Gtk2::Ex::PodViewer 0.08;
++use Gtk2::Ex::PodViewer::Parser qw(decode_entities);
+ use Gnome2;
+ use Locale::gettext;
+ use POSIX qw(setlocale);
+@@ -63,7 +63,7 @@
+ $APP->get_widget('location')->disable_activate;
+ $APP->get_widget('open_dialog_location')->disable_activate;
+
+-my $viewer = Gtk2::PodViewer->new;
++my $viewer = Gtk2::Ex::PodViewer->new;
+ $viewer->signal_connect('link_clicked' => \&link_clicked);
+ $viewer->signal_connect('link_enter', sub { set_status($_[1]) });
+ $viewer->signal_connect('link_leave', sub { set_status('') });
diff -uNr podbrowser-0.03.orig/Makefile podbrowser-0.03/Makefile
--- podbrowser-0.03.orig/Makefile 2004-09-12 09:23:02.000000000 -0500
+++ podbrowser-0.03/Makefile 2006-09-04 08:52:35.820958000 -0500
@@ -15,16 +15,16 @@
pod2man $(NAME).pl | gzip -c > build/$(NAME).1.gz
install:
- mkdir -p $(BINDIR) \
- $(DATADIR)/$(NAME) \
- $(DATADIR)/applications \
- $(ICONDIR) \
- $(MANDIR)
- install -m 0644 $(NAME).glade $(DATADIR)/$(NAME)/
- install -m 0644 $(NAME).png $(ICONDIR)/
- install -m 0644 $(NAME).desktop $(DATADIR)/applications/
- install -m 0755 build/$(NAME) $(BINDIR)/$(NAME)
- install -m 0644 build/$(NAME).1.gz $(MANDIR)/
+ mkdir -p $(DESTDIR)/$(BINDIR) \
+ $(DESTDIR)/$(DATADIR)/$(NAME) \
+ $(DESTDIR)/$(DATADIR)/applications \
+ $(DESTDIR)/$(ICONDIR) \
+ $(DESTDIR)/$(MANDIR)
+ install -m 0644 $(NAME).glade $(DESTDIR)/$(DATADIR)/$(NAME)/
+ install -m 0644 $(NAME).png $(DESTDIR)/$(ICONDIR)/
+ install -m 0644 $(NAME).desktop
$(DESTDIR)/$(DATADIR)/applications/
+ install -m 0755 build/$(NAME) $(DESTDIR)/$(BINDIR)/$(NAME)
+ install -m 0644 build/$(NAME).1.gz $(DESTDIR)/$(MANDIR)/
clean:
rm -rf build
diff -uNr podbrowser-0.03.orig/patch-stamp podbrowser-0.03/patch-stamp
--- podbrowser-0.03.orig/patch-stamp 1969-12-31 19:00:00.000000000 -0500
+++ podbrowser-0.03/patch-stamp 2006-09-04 08:52:35.960966750 -0500
@@ -0,0 +1,8 @@
+Patches applied in the Debian version of :
+
+debian/patches/10Makefile.dpatch (Florian Ragwitz <[EMAIL PROTECTED]>):
+ Patch Makefile to install all files under $(DESTDIR) prefix.
+
+debian/patches/20podbrowser.dpatch (Rudy Godoy <[EMAIL PROTECTED]>):
+ Fixes podbrowser.pl to adapt to the current class location
+
diff -uNr podbrowser-0.03.orig/podbrowser.pl podbrowser-0.03/podbrowser.pl
--- podbrowser-0.03.orig/podbrowser.pl 2004-09-18 08:32:10.000000000 -0500
+++ podbrowser-0.03/podbrowser.pl 2006-09-04 08:52:35.872961250 -0500
@@ -6,8 +6,8 @@
use Gtk2 -init;
use Gtk2::GladeXML 1.001;
use Gtk2::SimpleList;
-use Gtk2::PodViewer 0.08;
-use Gtk2::PodViewer::Parser qw(decode_entities);
+use Gtk2::Ex::PodViewer 0.08;
+use Gtk2::Ex::PodViewer::Parser qw(decode_entities);
use Gnome2;
use Locale::gettext;
use POSIX qw(setlocale);
@@ -63,7 +63,7 @@
$APP->get_widget('location')->disable_activate;
$APP->get_widget('open_dialog_location')->disable_activate;
-my $viewer = Gtk2::PodViewer->new;
+my $viewer = Gtk2::Ex::PodViewer->new;
$viewer->signal_connect('link_clicked' => \&link_clicked);
$viewer->signal_connect('link_enter', sub { set_status($_[1]) });
$viewer->signal_connect('link_leave', sub { set_status('') });